Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.lifecycle
Class StartableLifecycleStrategyTestCase

    java.lang.Object
      org.picocontainer.lifecycle.StartableLifecycleStrategyTestCase

    public class StartableLifecycleStrategyTestCase

extends Object

Author:
  Mauro Talevi

Nested Class Summary
`static class` | `StartableLifecycleStrategyTestCase.ThirdPartyStartableComponent2`
`static class` | `StartableLifecycleStrategyTestCase.ThirdPartyStartableComponent3`

Constructor Summary
`StartableLifecycleStrategyTestCase()`

Method Summary
`void` | `setUp()`
`void` | `testDisposable()`
`void` | `testMixOfThirdPartyAndBuiltInStartableAndDisposable()`
`void` | `testSerializable()`
`void` | `testStartable()`
`void` | `testThirdPartyStartableAndDisposable()`
`void` | `testThirdPartyStartableCanNoteLifecycleException()`
`void` | `testThirdPartyStartableCanNoteLifecycleRuntimeException()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartableLifecycleStrategyTestCase

    public StartableLifecycleStrategyTestCase()

Method Detail

### setUp

    public void setUp()

### testStartable

    public void testStartable()

### testDisposable

    public void testDisposable()

### testSerializable

    public void testSerializable()

### testThirdPartyStartableAndDisposable

    public void testThirdPartyStartableAndDisposable()

### testMixOfThirdPartyAndBuiltInStartableAndDisposable

    public void testMixOfThirdPartyAndBuiltInStartableAndDisposable()

### testThirdPartyStartableCanNoteLifecycleRuntimeException

    public void testThirdPartyStartableCanNoteLifecycleRuntimeException()

### testThirdPartyStartableCanNoteLifecycleException

    public void testThirdPartyStartableCanNoteLifecycleException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.